GET /insights/v1/tokens/price
Get price in USD for given token(s)

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
address unknown optional query
Example: ["0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee"]
symbol unknown optional query
Example: ["ETH","USDC"]
timestamp integer optional query
include_historical_prices string optional query
Example: "true"
include_holders string optional query
Example: "true"

Responses

200 Successful response
application/json
data object[] REQUIRED
Array of:
chain_id number REQUIRED
The chain ID of a relevant entry
address string REQUIRED
symbol string
price_usd number REQUIRED
Precise price in USD
price_usd_cents number REQUIRED
Price in USD cents
percent_change_24h number REQUIRED
Percent change in price over the last 24 hours
volume_24h_usd number REQUIRED
Volume in USD over the last 24 hours
volume_change_24h number REQUIRED
Percent change in volume over the last 24 hours
market_cap_usd number REQUIRED
Market cap in USD
historical_prices object[]
Array of:
date string REQUIRED
Date of price
price_usd number REQUIRED
Price in USD
price_usd_cents number REQUIRED
Price in USD cents
holders number
Number of holders
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/price'
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/price', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/tokens/price')
print(response.json())
200 Response
{
  "data": [
    {
      "chain_id": 1,
      "address": "vitalik.eth",
      "symbol": "<string>",
      "price_usd": 123,
      "price_usd_cents": 123,
      "percent_change_24h": 123,
      "volume_24h_usd": 123,
      "volume_change_24h": 123,
      "market_cap_usd": 123,
      "historical_prices": [
        {
          "date": "<string>",
          "price_usd": 123,
          "price_usd_cents": 123
        }
      ],
      "holders": 123
    }
  ]
}
GET /insights/v1/tokens/price
Ask a question... ⌘I